com.mysql.jdbc

## Class ExportControlled

- java.lang.Object
- - com.mysql.jdbc.ExportControlled

    public class ExportControlled
    extends java.lang.Object

Holds functionality that falls under export-control regulations.

### Method Summary

Methods
`protected static boolean` `enabled()`
`protected static void` `transformSocketToSSLSocket(MysqlIO mysqlIO)` Converts the socket being used in the given MysqlIO to an SSLSocket by performing the SSL/TLS handshake.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### enabled

    protected static boolean enabled()

#### transformSocketToSSLSocket

    protected static void transformSocketToSSLSocket(MysqlIO mysqlIO)
                                              throws java.sql.SQLException

Converts the socket being used in the given MysqlIO to an SSLSocket by performing the SSL/TLS handshake.

Parameters:
  `mysqlIO` - the MysqlIO instance containing the socket to convert to an SSLSocket.
Throws:
  `CommunicationsException` - if the handshake fails, or if this distribution of Connector/J doesn't contain the SSL crytpo hooks needed to perform the handshake.
  `java.sql.SQLException`